Interface RestApiEndpointBuilderFactory.RestApiBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- RestApiEndpointBuilderFactory
public static interface RestApiEndpointBuilderFactory.RestApiBuilders
-
Method Summary
Modifier and TypeMethodDescriptionREST API (camel-rest) Expose OpenAPI Specification of the REST services defined using Camel REST DSL.REST API (camel-rest) Expose OpenAPI Specification of the REST services defined using Camel REST DSL.
-
Method Details
-
restApi
REST API (camel-rest) Expose OpenAPI Specification of the REST services defined using Camel REST DSL. Category: core,rest Since: 2.16 Maven coordinates: org.apache.camel:camel-rest Syntax:rest-api:pathPath parameter: path (required) The base path- Parameters:
path- path- Returns:
- the dsl builder
-
restApi
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder restApi(String componentName, String path) REST API (camel-rest) Expose OpenAPI Specification of the REST services defined using Camel REST DSL. Category: core,rest Since: 2.16 Maven coordinates: org.apache.camel:camel-rest Syntax:rest-api:pathPath parameter: path (required) The base path- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- path- Returns:
- the dsl builder
-